itshark
Goto Top

PowerShell Problem Server 2008 R2

Hallo zusammen,

auf mehreren Windows 2008 R2 Servern habe ich folgendes Problem:

Derzeitige PSVersion: 2.0

Muss diese updaten auf 5.1 (Win7AndW2K8R2-KB3191566-x64). Nach dem Neustart lässt sich Powershell nicht mehr öffnen. Wenn ich das Paket wieder deinstalliere ist wieder alles wie vorher, also Version 2.0.

Bitte nicht den Tipp geben den kompletten Server zu aktualisieren, dsa geht leider noch nicht, ist aber irgendwann mal geplant.

Jemand eine Idee?

Grüße,
Olli

Content-Key: 452273

Url: https://administrator.de/contentid/452273

Printed on: May 22, 2024 at 01:05 o'clock

Member: goscho
goscho May 16, 2019 at 08:31:16 (UTC)
Goto Top
Moin Olli,

Bitte nicht den Tipp geben den kompletten Server zu aktualisieren, dsa geht leider noch nicht, ist aber irgendwann mal geplant.
Was bedeutet das?
Ist das ein ungepatcher W2008R2 oder meinst du den auf eine andere Version (2016/2019) aktualisieren?

Im 1. Fall dürften ein paar Updates fehlen (.net 4.7.2 etc).
Hast du mal versucht, Powershell V4 zu installieren und dann erst V5.1?
Member: sabines
sabines May 16, 2019 at 08:33:59 (UTC)
Goto Top
Moin,

das hast Du beachtet:

https://docs.microsoft.com/de-de/powershell/scripting/install/installing ...
https://docs.microsoft.com/de-de/powershell/wmf/5.1/install-configure

Insbesondere WMF 3.0 darf nicht installiert sein, und beim Enisatz von Ex2010 darfst Du diese PS Version ebenfalls nicht nutzen.

Gruss
Member: ITShark
ITShark May 16, 2019 at 08:37:32 (UTC)
Goto Top
Nene, der ist bis April 2019 voll gepatcht.
Mit Aktualisierung meine ich von 2008 -> 2016/2019 Server

Ich prüfe die Updates mal und werde auch den Schritt von 2.0. auf 4.0 einplanen und mal schauen ob das was bringt.